
TEMPLATE = app
LANGUAGE = C++

TARGET = kroket

VER_MAJ = 0
VER_MIN = 8
VER_PAT = 0

VERSION = -0.8.0

DEFINES += KROKET_VER_MAJ=$$VER_MAJ KROKET_VER_MIN=$$VER_MIN KROKET_VER_PAT=$$VER_PAT

CONFIG += qt warn_on release


# Parser
HEADERS += src/parser/entitylist.h      \
           src/parser/entity.h          \
           src/parser/attributelist.h   \
           src/parser/attribute.h       \
           src/parser/masked_isspace.h  \
           src/parser/defs.h

SOURCES += src/parser/entitylist.cpp    \
           src/parser/entity.cpp        \
           src/parser/attributelist.cpp \
           src/parser/attribute.cpp     \
           src/parser/masked_isspace.cpp


# Graph
HEADERS += src/graph/node.h             \
           src/graph/edge.h             \
           src/graph/graph.h            \
           src/graph/layeringlazy.h     \
           src/graph/layeringfloyd.h    \
           src/graph/orderingwmedian.h  \
           src/graph/placinggenetic.h

SOURCES += src/graph/node.cpp             \
           src/graph/edge.cpp             \
           src/graph/graph.cpp            \
           src/graph/layeringlazy.cpp     \
           src/graph/layeringfloyd.cpp    \
           src/graph/orderingwmedian.cpp  \
           src/graph/placinggenetic.cpp


# Node shapes
HEADERS += src/nodeshapes/nodeellipse.h    \
           src/nodeshapes/noderectangle.h  \
           src/nodeshapes/nodecircle.h

SOURCES += src/nodeshapes/nodeellipse.cpp    \
           src/nodeshapes/noderectangle.cpp  \
           src/nodeshapes/nodecircle.cpp


# Anchor shapes
HEADERS += src/anchorshapes/anchorline.h           \
           src/anchorshapes/anchorarrow.h          \
           src/anchorshapes/anchorcloseddot.h      \
           src/anchorshapes/anchoropendot.h        \
           src/anchorshapes/anchorcloseddotarrow.h \
           src/anchorshapes/anchoropendotarrow.h

SOURCES += src/anchorshapes/anchorline.cpp           \
           src/anchorshapes/anchorarrow.cpp          \
           src/anchorshapes/anchorcloseddot.cpp      \
           src/anchorshapes/anchoropendot.cpp        \
           src/anchorshapes/anchorcloseddotarrow.cpp \
           src/anchorshapes/anchoropendotarrow.cpp


# App.
HEADERS += src/application.h               \
           src/graphview.h                 \
           src/help.h                      \
           src/abstractshape.h             \
           src/port.h                      \
           src/abstractanchor.h            \
           src/abstractnodeshape.h         \
           src/abstractedgeshape.h         \
           src/edgesimple.h                \
           src/abstractgroupshape.h        \
           src/groupsimple.h               \
           src/convexhull.h                \
           src/undocommands/cmdexpand.h    \
           src/undocommands/cmdcollapse.h

SOURCES += src/application.cpp               \
           src/graphview.cpp                 \
           src/help.cpp                      \
           src/main.cpp                      \
           src/abstractshape.cpp             \
           src/port.cpp                      \
           src/abstractanchor.cpp            \
           src/abstractnodeshape.cpp         \
           src/abstractedgeshape.cpp         \
           src/edgesimple.cpp                \
           src/abstractgroupshape.cpp        \
           src/groupsimple.cpp               \
           src/convexhull.cpp


FORMS = ui/kroket.ui ui/help.ui ui/help-input.ui ui/help-about.ui
RESOURCES = ui/kroket.qrc
INCLUDEPATH = src
OBJECTS_DIR = build
UI_DIR = build
MOC_DIR = build
RCC_DIR = build
